#!/bin/sh

name="freetype"
title="FreeType"
package="freetype"
version="2.1.4"
build="1"
noarch="n"
build_info="Standard build."

info="A free and portable TrueType font rendering engine."
desc="FreeType 2 is a high-quality and portable font engine
that is capable of supporting several font formats (be
they bitmapped or scalable) through a simple and
uniform interface. Its design is modular and allows
independent 'font driver' modules to be added, even at
runtime, to support additional formats. It also provides
a high-quality anti-aliasing renderer, an innovative
auto-hinting engine, and support for the following font
formats: TrueType Type1, CID-Type 1, Multiple Masters
Type 1 OpenType/CFF, pure CFF, and CEF Windows FNT/FON."
category="graphic/library"
environment="x11"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="README,docs/*"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://easynews.dl.sourceforge.net/sourceforge/$name/$name-$version.tar.bz2

apply_patch bytecode

configure_option --prefix=/usr

install_option DESTDIR=$pkg_main

build_host_off

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

make_docs

make_package main

clean_up

# $Log: freetype.builder,v $
# Revision 1.2  2003/05/20 13:00:13  swiergot
# - Build 1.
#
# Revision 1.1  2003/05/20 12:52:16  swiergot
# - Initial release.
# - Version 2.1.4.
#
